GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices" \
-H "Authorization: Bearer <YOUR_API_KEY>"const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices", {
method: "GET",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.applivery.io/v1/organizations/{organizationId}/mdm/windows/enterprise/devices",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
page
integer
optional
limit
integer
optional
sort
string
optional
mdm-user
string
optional
show-deleted
boolean
optional
tags
array
optional
segmentId
integer
optional
expandTo
string
optional
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
items
array [object]
optional
id
string
optional
organizationId
string
optional
winEnterpriseId
string
optional
mdmUser
object
optional
displayName
string
optional
tags
array [string]
optional
winId
string
optional
state
string
optional
config
object
optional
configDates
object
optional
customConfig
object
optional
summary
object
optional
scripts
array [object]
optional
scriptsInfo
array [object]
optional
lastStatusReportTime
string
optional
type
string
optional
winPolicy
object
optional
deviceWinPolicy
object
optional
winPolicyAssignments
array [object]
optional
winPolicyAssignmentsEnforced
array [object]
optional
subType
string
optional
stateHistory
array [object]
optional
lastLocation
object
optional
refreshInfoNeeded
array [string]
optional
enrolledDate
string
optional
smartAttributeAssignments
array [object]
optional
smartAttributeAssignmentsEnforced
array [object]
optional
smartAttributes
array [object]
optional
segmentId
integer
optional
createdAt
string
optional
updatedAt
string
optional
totalDocs
integer
optional
limit
integer
optional
hasPrevPage
boolean
optional
hasNextPage
boolean
optional
page
integer
optional
totalPages
integer
optional
prevPage
integer
optional
nextPage
integer
optional
lean
boolean
optional
{
"status": true,
"data": {
"items": [
{
"id": "507f1f77bcf86cd799439011",
"organizationId": "507f1f77bcf86cd799439022",
"winEnterpriseId": "507f1f77bcf86cd799439033",
"mdmUser": {
"id": "507f1f77bcf86cd799439066",
"email": "[email protected]"
},
"displayName": "Marketing Dept Laptop",
"tags": [
"sales",
"field-team",
"remote"
],
"winId": "device-win-mdm-12345678",
"state": "ACTIVE",
"config": {
"./Device/Vendor/MSFT/Policy/Config/Security/RequireDeviceEncryption": "1"
},
"configDates": {
"securityPolicy": "2026-02-10T10: 00: 00.000Z",
"applications": "2026-02-09T15: 30: 00.000Z"
},
"customConfig": {
"customField1": "value1",
"customField2": true
},
"summary": {
"name": "DESKTOP-ABC123",
"devId": "string",
"osVersion": "10.0.19045.3803",
"osVersionName": "Windows 11 Pro",
"os": "Windows",
"serialNumber": "SN123456789",
"imei": "356938035643809",
"battery": "85%",
"expirationTimestamp": "2027-02-10T00: 00: 00.000Z",
"supervised": true,
"image": "https://cdn.example.com/device-surface-laptop.png",
"compliance": {
"compliant": true,
"lastCheck": "2026-02-10T12: 00: 00.000Z"
},
"manufacturer": "string",
"model": "string",
"udid": "string",
"hostname": "string",
"ipAddress": "string",
"macAddress": "string"
},
"scripts": [
{
"id": "507f1f77bcf86cd799439077",
"type": "once",
"loopTime": 60,
"resetDate": "2026-02-10T00: 00: 00.000Z",
"arguments": "-ExecutionPolicy Bypass -Parameter1 Value1",
"argumentsProcessed": "-ExecutionPolicy Bypass -Parameter1 ProcessedValue",
"name": "System Configuration Script",
"description": "Configures network settings and security policies",
"runner": "powershell.exe",
"scope": "user"
}
],
"scriptsInfo": [
{}
],
"lastStatusReportTime": "2026-02-10T12: 30: 00.000Z",
"type": "windows",
"winPolicy": {
"id": "507f1f77bcf86cd799439011",
"organizationId": "507f1f77bcf86cd799439022",
"winEnterpriseId": "507f1f77bcf86cd799439033",
"name": "Corporate Security Baseline",
"config": {
"./Device/Vendor/MSFT/Policy/Config/Security/RequireDeviceEncryption": {
"format": "int",
"value": "1",
"priority": 100
}
},
"applications": [
{
"winApplicationId": "507f1f77bcf86cd799439044",
"configuration": {
"language": "en",
"edition": "enterprise"
},
"action": "available",
"updatePolicy": {
"autoUpdate": true,
"allowedVersions": ">=1.0.0"
}
}
],
"applicationsInfo": [
{}
],
"bookmarks": [
{
"title": "string",
"description": "string",
"url": "string",
"iconBase64": "string",
"iconUrl": "string"
}
],
"scripts": [
{
"id": "string",
"type": "once",
"loopTime": 0,
"resetDate": "2024-01-01T00: 00:00Z",
"arguments": "string",
"argumentsProcessed": "string",
"name": "string",
"description": "string",
"runner": "string",
"scope": "user"
}
],
"scriptsInfo": [
{}
],
"admxConfigs": [
{
"winAdmxConfigId": "507f1f77bcf86cd799439055"
}
],
"admxConfigsInfo": [
{
"id": "507f1f77bcf86cd799439055",
"appName": "Microsoft Edge",
"settingType": "Privacy",
"fileName": "edge.admx",
"description": "Controls Edge browser privacy settings"
}
],
"agentConfiguration": {
"enabled": true,
"buildTag": "v2.5.0",
"allowLocation": true,
"allowNetworkStatus": true,
"allowPackageTime": false,
"allowPackageTransfer": false,
"policyFeatures": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
}
},
"assets": [
{
"mdmAssetId": "string",
"location": "string",
"assetName": "string",
"scope": "user"
}
],
"assetsInfo": [
{}
],
"version": 5,
"segmentId": "1",
"exposeToChildren": true,
"updatedAt": "2026-02-10T14: 30: 00.000Z",
"createdAt": "2025-10-15T09: 00: 00.000Z"
},
"deviceWinPolicy": {
"id": "507f1f77bcf86cd799439011",
"organizationId": "507f1f77bcf86cd799439022",
"winEnterpriseId": "507f1f77bcf86cd799439033",
"name": "Corporate Security Baseline",
"config": {
"./Device/Vendor/MSFT/Policy/Config/Security/RequireDeviceEncryption": {
"format": "int",
"value": "1",
"priority": 100
}
},
"applications": [
{
"winApplicationId": "507f1f77bcf86cd799439044",
"configuration": {
"language": "en",
"edition": "enterprise"
},
"action": "available",
"updatePolicy": {
"autoUpdate": true,
"allowedVersions": ">=1.0.0"
}
}
],
"applicationsInfo": [
{}
],
"bookmarks": [
{
"title": "string",
"description": "string",
"url": "string",
"iconBase64": "string",
"iconUrl": "string"
}
],
"scripts": [
{
"id": "string",
"type": "once",
"loopTime": 0,
"resetDate": "2024-01-01T00: 00:00Z",
"arguments": "string",
"argumentsProcessed": "string",
"name": "string",
"description": "string",
"runner": "string",
"scope": "user"
}
],
"scriptsInfo": [
{}
],
"admxConfigs": [
{
"winAdmxConfigId": "507f1f77bcf86cd799439055"
}
],
"admxConfigsInfo": [
{
"id": "507f1f77bcf86cd799439055",
"appName": "Microsoft Edge",
"settingType": "Privacy",
"fileName": "edge.admx",
"description": "Controls Edge browser privacy settings"
}
],
"agentConfiguration": {
"enabled": true,
"buildTag": "v2.5.0",
"allowLocation": true,
"allowNetworkStatus": true,
"allowPackageTime": false,
"allowPackageTransfer": false,
"policyFeatures": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
}
},
"assets": [
{
"mdmAssetId": "string",
"location": "string",
"assetName": "string",
"scope": "user"
}
],
"assetsInfo": [
{}
],
"version": 5,
"segmentId": "1",
"exposeToChildren": true,
"updatedAt": "2026-02-10T14: 30: 00.000Z",
"createdAt": "2025-10-15T09: 00: 00.000Z"
},
"winPolicyAssignments": [
{
"winPolicyId": "698f42e5457fafa13d0887a3",
"winPolicy": {},
"priority": 1
}
],
"winPolicyAssignmentsEnforced": [
{
"winPolicyId": "698f42e5457fafa13d0887a3",
"winPolicy": {},
"priority": 1,
"automationRule": {
"id": "698f42e5457fafa13d08879d",
"name": "Sales Team iOS Policies",
"deviceAudiences": [
{
"id": "698f42e5457fafa13d0887a7",
"name": "Sales Department",
"reasons": [
"tag:sales",
"user.department:Sales"
]
}
]
}
}
],
"subType": "device",
"stateHistory": [
{
"state": "ACTIVE",
"date": "2025-10-15T09: 15: 00.000Z",
"config": {
"reason": "initial-enrollment"
}
}
],
"lastLocation": {
"agent": {
"origin": "agent",
"date": "2026-02-10T12: 00: 00.000Z",
"latitude": 40.7128,
"longitude": -74.006,
"ip": "203.0.113.45",
"lastReportDate": "2026-02-10T12: 00: 00.000Z",
"address": {
"address": "123 Main Street",
"number": "123",
"postalCode": "10001",
"city": "New York",
"country": "United States"
}
},
"ip": {
"origin": "agent",
"date": "2024-01-01T00: 00:00Z",
"latitude": 0,
"longitude": 0,
"ip": "string",
"lastReportDate": "2024-01-01T00: 00:00Z",
"address": {
"address": "string",
"number": "string",
"postalCode": "string",
"city": "string",
"country": "string"
}
}
},
"refreshInfoNeeded": [
"hardware",
"applications"
],
"enrolledDate": "2025-10-15T09: 15: 00.000Z",
"smartAttributeAssignments": [
{
"smartAttributeId": "string",
"smartAttribute": {
"id": "string",
"organizationId": "string",
"segmentId": 0,
"exposeToChildren": true,
"name": "string",
"description": "string",
"output": {
"type": "string"
},
"input": {
"type": "constant",
"value": {
"admDevice": {
"value": "string"
},
"aosDevice": {
"value": "string"
},
"emmDevice": {
"value": "string"
},
"winDevice": {
"value": "string"
}
},
"source": "constant"
},
"counts": {
"android": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
},
"apple": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
},
"windows": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
}
}
}
}
],
"smartAttributeAssignmentsEnforced": [
{
"smartAttributeId": "string",
"smartAttribute": {
"id": "string",
"organizationId": "string",
"segmentId": 0,
"exposeToChildren": true,
"name": "string",
"description": "string",
"output": {
"type": "string"
},
"input": {
"type": "constant",
"value": {
"admDevice": {
"value": "string"
},
"aosDevice": {
"value": "string"
},
"emmDevice": {
"value": "string"
},
"winDevice": {
"value": "string"
}
},
"source": "constant"
},
"counts": {
"android": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
},
"apple": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
},
"windows": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
}
}
}
}
],
"smartAttributes": [
{
"id": "string",
"type": "constant",
"label": "string",
"value": "string",
"updatedAt": "2024-01-01T00: 00:00Z"
}
],
"segmentId": 0,
"createdAt": "2025-10-15T09: 00: 00.000Z",
"updatedAt": "2026-02-10T14: 30: 00.000Z"
}
],
"totalDocs": 0,
"limit": 0,
"hasPrevPage": true,
"hasNextPage": true,
"page": 0,
"totalPages": 0,
"prevPage": 0,
"nextPage": 0,
"lean": true
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}